/**
 * Most of the code in the Qalingo project is copyrighted Hoteia and licensed
 * under the Apache License Version 2.0 (release version 0.7.0)
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 *                   Copyright (c) Hoteia, 2012-2013
 * http://www.hoteia.com - http://twitter.com/hoteia - contact@hoteia.com
 *
 */
package org.hoteia.qalingo.core;

public final class ModelConstants {

    // GLOBAL
    public static final String APP_NAME         = "appName";
    public static final String APP_NAME_HTML    = "appNameHtml";

    public static final String KEY                  = "key";
    public static final String LOCALE               = "locale";
    public static final String COUNTRY_CODE         = "countryCode";
    public static final String LANGUAGE_CODE        = "languageCode";
    public static final String LOCALE_FR            = "fr";
    public static final String LOCALE_EN            = "en";
    public static final String DEFAULT_LOCALE_CODE  = LOCALE_EN;

    public static final String DYNAMIC_LOCALE       = "dynamicLocale";

    public static final String LOCALE_LANGUAGE_CODE = "localeLanguageCode";
    public static final String CONTEXT_PATH         = "contextPath";
    public static final String THEME                = "theme";
    public static final String ENV_NAME             = "envName";

    // SEO
    public static final String SEO_PAGE_META_AUTHOR         = "seoPageMetaAuthor";
    public static final String SEO_PAGE_META_KEYWORDS       = "seoPageMetaKeywords";
    public static final String SEO_PAGE_META_DESCIPRTION    = "seoPageMetaDescription";
    public static final String SEO_PAGE_META_TITLE          = "seoPageTitle";
    public static final String MAIN_CONTENT_TITLE           = "mainContentTitle";

    // WORDING
    public static final String WORDING = "wording";

    // URL
    public static final String URL_BACK                     = "urlBack";
    public static final String URL_CUSTOMER_EDIT            = "urlCustomerEdit";
    public static final String URL_CUSTOMER_ADDRESS_ADD     = "urlCustomerAddressAdd";
    public static final String URL_CUSTOMER_ADDRESS_EDIT    = "urlCustomerAddressEdit";
    public static final String URL_SUBMIT_QUICK_SEARCH      = "urlSubmitQuickSearch";

    // VIEW BEAN
    public static final String COMMON_VIEW_BEAN                 = "common";
    public static final String MENUS_VIEW_BEAN                  = "menus";
    public static final String MORE_PAGE_MENUS_VIEW_BEAN        = "morePageMenus";
    public static final String MARKET_PLACES_VIEW_BEAN          = "marketPlaces";
    public static final String MARKETS_VIEW_BEAN                = "markets";
    public static final String MARKET_AREA_VIEW_BEAN            = "marketArea";
    public static final String MARKET_AREAS_VIEW_BEAN           = "marketAreas";
    public static final String MARKET_LANGUAGES_VIEW_BEAN       = "marketLanguages";
    public static final String RETAILERS_VIEW_BEAN              = "retailers";
    public static final String RETAILER_VIEW_BEAN               = "retailer";
    public static final String LANGUAGES_VIEW_BEAN              = "languages";
    public static final String LEGAl_TERMS_VIEW_BEAN            = "legalTerms";
    public static final String CONDITIONS_OF_USE_VIEW_BEAN      = "conditions";
    public static final String FOOTER_MENUS_VIEW_BEAN           = "footerMenus";
    public static final String FOLLOW_US_VIEW_BEAN              = "followUs";
    public static final String FAQ_VIEW_BEAN                    = "faq";
    public static final String OUR_COMPANY_VIEW_BEAN            = "ourCompany";
    public static final String SECURITY_VIEW_BEAN               = "security";
    public static final String XRDS_URL_VIEW_BEAN               = "xrdsUrl";

    public static final String TRACKING_VIEW_BEAN               = "tracking";
    public static final String MONITORING_VIEW_BEAN             = "monitoring";

    public static final String CATALOG_VIEW_BEAN                = "catalog";
    public static final String CATALOG_CATEGORY_VIEW_BEAN       = "catalogCategory";
    public static final String PRODUCT_MARKETING_VIEW_BEAN      = "productMarketing";
    public static final String PRODUCT_SKU_VIEW_BEAN            = "productSku";

    public static final String ASSET_VIEW_BEAN                  = "asset";

    public static final String RULE_VIEW_BEAN                   = "rule";
    public static final String ORDER_VIEW_BEAN                  = "order";
    public static final String SHIPPING_VIEW_BEAN               = "shipping";
    public static final String CUSTOMER_VIEW_BEAN               = "customer";
    public static final String CUSTOMER_DETAILS_LINKS_VIEW_BEAN = "customerLinks";
    public static final String CUSTOMER_DETAILS_VIEW_BEAN       = "customerDetails";
    public static final String USER_VIEW_BEAN                   = "user";

    // SPRING FORM
    public static final String ASSET_FORM           = "assetForm";

    public static final String RULE_FORM            = "ruleForm";
    public static final String ORDER_FORM           = "orderForm";
    public static final String SHIPPING_FORM        = "shippingForm";
    public static final String CUSTOMER_FORM        = "customerForm";
    public static final String USER_FORM            = "userForm";

    // AUTH
    public static final String AUTH_HAS_FAIL        = "authHasFail";
    public static final String AUTH_ERROR_MESSAGE   = "authErrorMessage";

    // AXE
    public static final String AXE_CATEGORY_NAME    = "axeCategoryName";

    // RETAILER
    public static final String MESSAGE_NR_OF_ELEMENTS           = "nrOfElementsInformationMessage";
    public static final String QUALITY_OF_SERVICE_SCORE_MAX     = "qualityOfServiceMax";
    public static final String PRICE_SCORE_MAX                  = "priceMax";

    public static final String RETAILERS_BY_QUALITY_OF_SERVICE  = "retailersByQualityOfService";
    public static final String RETAILERS_BY_RATIO_QUALITY_PRICE = "retailersByRatioQualityPrice";
    public static final String LAST_RETAILERS                   = "lastRetailers";

    // OTHERS
    public static final String HEADER_CART      = "headerCart";
    public static final String HEADER_TITLE     = "headerTitle";
    public static final String ERROR_MESSAGE    = "errorMessage";
    public static final String INFO_MESSAGE     = "infoMessage";
    public static final String SUCCESS_MESSAGE  = "successMessage";

    public static final String CONTENT_TEXT     = "contentText";

    public static final String TITLES           = "titles";
    public static final String COUNTRIES        = "countries";

}