/**
 * Most of the code in the Qalingo project is copyrighted Hoteia and licensed
 * under the Apache License Version 2.0 (release version 0.7.0)
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 *                   Copyright (c) Hoteia, 2012-2013
 * http://www.hoteia.com - http://twitter.com/hoteia - contact@hoteia.com
 *
 */
package org.hoteia.qalingo.core.domain;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Version;

@Entity
@Table(name="TECO_ORDER_NUMBER")
public class OrderNumber implements Serializable {

	/**
	 * Generated UID
	 */
	private static final long serialVersionUID = -3979521859173438793L;
	
	public static final String ORDER_STATUS_PENDING = "PENDING";
	
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name="ID", nullable=false)
	private Long id;
	
	@Version
	@Column(name="VERSION", nullable=false, columnDefinition="int(11) default 1")
	private int version;
	
	@Column(name="LAST_ORDER_NUMBER")
	private Integer lastOrderNumber;

	public OrderNumber(){
	}
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	
	public int getVersion() {
		return version;
	}

	public void setVersion(int version) {
		this.version = version;
	}

	public Integer getLastOrderNumber() {
		return lastOrderNumber;
	}
	
	public void setLastOrderNumber(Integer lastOrderNumber) {
		this.lastOrderNumber = lastOrderNumber;
	}
	
}
